# Helm Configuration

These are helm configurations that can be modified as per the requirement.

| **Value**                  | **Available Option**                               | **Default Value**              | **Description**                                                                    |
| -------------------------- | -------------------------------------------------- | ------------------------------ | ---------------------------------------------------------------------------------- |
| name                       | *Any string*                                       | redis                          | Name of the redis setup which will be done by the operator                         |
| setupMode                  | <p>cluster</p><p>standalone</p>                    | -                              | Setup mode for redis                                                               |
| cluster.size               | *Any integer*                                      | 3                              | Size of the redis node for cluster mode setup                                      |
| cluster.master.serviceType | <p>ClusterIP</p><p>LoadBalancer</p><p>NodePort</p> | ClusterIP                      | Service type for redis master nodes                                                |
| cluster.slave.serviceType  | <p>ClusterIP</p><p>LoadBalancer</p><p>NodePort</p> | ClusterIP                      | Service type for redis slave nodes                                                 |
| global.image               | *Valid Opstree Image*                              | quay.io/opstree/redis          | Name of the image for setting up redis                                             |
| global.tag                 | *Valid Tag*                                        | v0.2                           | Image version for redis setup                                                      |
| global.imagePullPolicy     | <p>IfNotPresent</p><p>Always</p>                   | IfNotPresent                   | Image pull policy for redis stateful sets and pods                                 |
| global.password            | *Any strong Password*                              | Opstree\@1234                  | Password for redis setup, make it blank or comment if you don't want a password    |
| global.resources           | *K8s Resources*                                    | -                              | Requests and limits for redis pods                                                 |
| exporter.enabled           | <p>true</p><p>false</p>                            | true                           | Redis exporter is enabled or not                                                   |
| exporter.image             | *Valid Opstree Image*                              | quay.io/opstree/redis-exporter | Name of the image for setting up redis exporter                                    |
| exporter.tag               | *Valid Tag*                                        | 0.2                            | Image version for redis exporter                                                   |
| exporter.imagePullPolicy   | <p>IfNotPresent</p><p>Always</p>                   | IfNotPresent                   | Image pull policy for redis exporter sidecar                                       |
| priorityClassName          | *Valid Priority Class*                             | -                              | Name of the Kubernetes priority class which you want to associate with redis setup |
| nodeSelector               | *Valid Node Selector*                              | -                              | Map of the labels which you want to use as  nodeSelector                           |
| storageSpec                | *Valid Storage Spec*                               | -                              | Kubernetes storage definition for redis pods                                       |
| securityContext            | *K8s SecurityContext*                              | -                              | Kubernetes security context for redis pods                                         |
| affinity                   | *K8s Affinity*                                     | -                              | Node and pod affinity for redis pods                                               |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.opstreelabs.in/redis-operator/setup/helm-config.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
